tpm2_load(8)

NAME
tpm2_load - load objects into the TPM, both pub/priv portion are needed.

SYNOPSIS
tpm2_load[ COMMON OPTIONS ] [ TCTI OPTIONS ] [ --parent|--contextParent|--pwdp|--pubfile|--privfile|--name|--context|--passwdInHex| ]

load objects into the TPM, both pub/priv portion are needed.

DESCRIPTION
tpm2_load load objects into the TPM, both pub/priv portion are needed.

OPTIONS

-H ,--parent
    parent handle

-c ,--contextParent
    filename for parent context

-P ,--pwdp
    parent key password, optional

-u ,--pubfile
    The public portion of the object

-r ,--privfile
    The sensitive portion of the object

-n ,--name
    Output file name, containing the name structure

-C ,--context
    The file to save the object context, optional

-X ,--passwdInHex
    passwords given by any options are hex format.

[COMMON OPTIONS ]
    This collection of options are common to many programs and provide information that many users may expect.

-h, --help
    Display a manual describing the tool and its usage.

-v, --version
    Display version information for this tool.

-V, --verbose
    Increase the information that the tool prints to the console during its execution.

[TCTI OPTIONS ]
    This collection of options are used to configure the varous TCTI modules available.

-T, --tcti
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. Supported TCTIs are .

ENVIRONMENT: TCTI
    This collection of environment variables that may be used to configure the varous TCTI modules available. The values passed through these variables can be overridden on a per-command basis using the available command line options.

TPM2TOOLS_TCTI_NAME
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. See 'OPTIONS' section for the names of supported TCTIs.

EXAMPLES
tpm2_load

    tpm2_load  -H 0x80000000 -P abc123 -u <pubKeyFileName> -r <privKeyFileName> -n <outPutFileName>
    tpm2_load  -c parent.context -P abc123 -u <pubKeyFileName> -r <privKeyFileName> -n <outPutFileName> -C object.context
    tpm2_load  -H 0x80000000 -P 123abc -X -u <pubKeyFileName> -r <privKeyFileName> -n <outPutFileName>